package com.fr.plugin.confChart;

import com.fr.design.gui.icombobox.UIComboBox;
import com.fr.extended.chart.AbstractExtendedChartTableDataPane;
import com.fr.plugin.regChart.ChartWaterConfig;

public class ChartWaterTableDataPane extends AbstractExtendedChartTableDataPane<ChartWaterConfig>
{
	private UIComboBox xComboBox;
	private UIComboBox xCombobox1;
	
	/**
	 *（1）说明标签
	 *
	 */
	 @Override
	 protected String[] fieldLabels()
	 {
		 return new String[]
		 {
			 "百分比数据集选择",
			 "第二个字段"
		 };
	 }

	/**
	 *（2）字段选择器
	 *
	 */
	@Override
	protected UIComboBox[] filedComboBoxes()
	{
		if(xComboBox == null)
		{
			xComboBox = new UIComboBox();
			xCombobox1 = new UIComboBox();
		}
		return new UIComboBox[]
				{
						xComboBox,
						xCombobox1
				};
	}
	 
	 @Override
	 protected void populate(ChartWaterConfig chartWaterConfig)
	 {
		 populateField(xComboBox, chartWaterConfig.getValue());
	 }
	 
	 @Override
	 protected ChartWaterConfig update()
	 {
		 ChartWaterConfig chartWaterConfig = new ChartWaterConfig();
		 updateField(xComboBox, chartWaterConfig.getValue());
		 return chartWaterConfig;
	 }
}