package com.fr.plugin.regChart;

import com.fr.extended.chart.AbstractDataConfig;
import com.fr.extended.chart.ExtendedField;
import com.fr.stable.AssistUtils;
import com.fr.stable.xml.XMLPrintWriter;
import com.fr.stable.xml.XMLableReader;

public class ChartWaterConfig extends AbstractDataConfig
{
    private ExtendedField value = new ExtendedField();

    public ExtendedField getValue()
    {
        return value;
    }

    public void setValue(ExtendedField value)
    {
        this.value = value;
    }

    @Override
    protected void readAttr(XMLableReader xmLableReader)
    {
        readExtendedField(value, "value", xmLableReader);
    }

    @Override
    protected void writeAttr(XMLPrintWriter xmlPrintWriter)
    {
        writeExtendedField(value, "value", xmlPrintWriter);
    }

    @Override
    public ExtendedField[] dataSetFields()
    {
        return new ExtendedField[]
                {
                        value
                };
    }

    @Override
    public ChartWaterConfig clone() throws CloneNotSupportedException
    {
        ChartWaterConfig result = new ChartWaterConfig();
        result.setValue(this.getValue().clone());
        return result;
    }

    @Override
    public int hashCode()
    {
        return super.hashCode() + AssistUtils.hashCode(this.getValue());
    }

    @Override
    public boolean equals(Object var1) {
        return var1 instanceof ChartWaterConfig
                && AssistUtils.equals(this.getValue(), ((AbstractDataConfig) var1).isCustomName())
                && AssistUtils.equals(this.getCustomFields(), ((AbstractDataConfig) var1).getCustomFields());
    }
}
