package com.fr.plugin.confChart;

import com.fr.design.formula.TinyFormulaPane;
import com.fr.extended.chart.AbstractExtendedChartReportDataPane;
import com.fr.plugin.regChart.ChartWaterConfig;

public class ChartWaterReportDataContentPane extends AbstractExtendedChartReportDataPane<ChartWaterConfig>
{
    private TinyFormulaPane xPane;

    @Override
    protected String[] fieldLabel() {
        return new String[]
                {
                        "百分比："
                };
    }

    @Override
    protected TinyFormulaPane[] formulaPanes()
    {
        if(xPane == null)
        {
            xPane = new TinyFormulaPane();
        }
        return new TinyFormulaPane[]
                {
                        xPane
                };
    }

    @Override
    protected void populate(ChartWaterConfig chartWaterConfig)
    {
        populateField(xPane, chartWaterConfig.getValue());
    }

    @Override
    protected ChartWaterConfig update()
    {
        ChartWaterConfig chartWaterConfig = new ChartWaterConfig();
        updateField(xPane, chartWaterConfig.getValue());
        return chartWaterConfig;
    }
}
