package com.fr.plugin.confChart;

import com.fr.design.mainframe.chart.gui.data.report.AbstractReportDataContentPane;
import com.fr.extended.chart.AbstractExtendedChartTableDataPane;
import com.fr.extended.chart.AbstractExtendedChartUIProvider;

public class ChartWaterUI extends AbstractExtendedChartUIProvider
{
    @Override
    protected AbstractExtendedChartTableDataPane getTableDataSourcePane()
    {
        return new ChartWaterTableDataPane();
    }

    @Override
    protected AbstractReportDataContentPane getReportDataSourcePane()
    {
        return new ChartWaterReportDataContentPane();
    }

    @Override
    public String[] getDemoImagePath()
    {
        return new String[]
                {
                        "com/fr/plugin/web/image/preview.png"
                };
    }

    @Override
    public String getIconPath()
    {
        return "com/fr/plugin/web/image/icon.png";
    }
}
